> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zeal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Generate Customer Account Onboarding Link

> Generate an onboarding link for a customer account.



## OpenAPI

````yaml openapi/zeal-api.json post /customer-accounts/onboard
openapi: 3.1.0
info:
  title: zeal-api
  version: '1.0'
servers:
  - url: https://api.zeal.com
security:
  - sec0: []
paths:
  /customer-accounts/onboard:
    post:
      summary: Generate Customer Account Onboarding Link
      operationId: generate-customer-account-onboarding-link
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - companyID
                - customerAccountID
              properties:
                companyID:
                  type: string
                  description: ID of the company
                customerAccountID:
                  type: string
                  description: ID of the customer account
                profileInfo:
                  type: boolean
                  description: Flag to include profile info step of the onboarding flow
                  default: true
                bankInfo:
                  type: boolean
                  description: >-
                    Flag to include bank info (funding source) step of the
                    onboarding flow
                  default: true
            examples:
              Request Example:
                value:
                  companyID: f8c887b155574458971236fef2149c9a
                  customerAccountID: 3f686bf64c144a53bb6e622197546227
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    data:
                      link: >-
                        https://app.zeal.com/customer-account-onboard?accessToken=eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCIsImtpZCI6ImMxOTgwMjY0ZmMyMjNhODkwYWZhZTgzYzkxYmQyZDQzOGVmMmFkMGRhZTc1MWZkZWEzNjYwYzNlNTU2YjEzOTYifQ.eyJjb21wYW55SUQiOiIyNGI1YjI5ZjA3OTI0ODQwYjExOWMzNGMxMzU4OTQwYyIsInBhcnRuZXJJRCI6ImMxMzNlZWQyYzliODQxOWJhMmYyMmRjMDU5YmQ0NDVhIiwiY3VzdG9tZXJBY2NvdW50SUQiOiIzMTE4ZGE5ZmMxNTQ0NGUyOTZlYTFiZTgyNDJhZTg3ZCIsInRlc3RNb2RlIjp0cnVlLCJlbnYiOiJsb2NhbCIsInN0YWdlcyI6eyJwcm9maWxlX2luZm8iOnRydWUsImZ1bmRpbmdfc291cmNlIjp0cnVlfSwiZXhwIjoxNzI4NTg5MzQ5LCJpYXQiOjE3MjcyOTMzNDl9.sAM5tuBjPFmwgh46hkJe1zJD2DLJJMGoyqwertyuiop
                    success: true
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      link:
                        type: string
                        example: >-
                          https://app.zeal.com/customer-account-onboard?accessToken=eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCIsImtpZCI6ImMxOTgwMjY0ZmMyMjNhODkwYWZhZTgzYzkxYmQyZDQzOGVmMmFkMGRhZTc1MWZkZWEzNjYwYzNlNTU2YjEzOTYifQ.eyJjb21wYW55SUQiOiIyNGI1YjI5ZjA3OTI0ODQwYjExOWMzNGMxMzU4OTQwYyIsInBhcnRuZXJJRCI6ImMxMzNlZWQyYzliODQxOWJhMmYyMmRjMDU5YmQ0NDVhIiwiY3VzdG9tZXJBY2NvdW50SUQiOiIzMTE4ZGE5ZmMxNTQ0NGUyOTZlYTFiZTgyNDJhZTg3ZCIsInRlc3RNb2RlIjp0cnVlLCJlbnYiOiJsb2NhbCIsInN0YWdlcyI6eyJwcm9maWxlX2luZm8iOnRydWUsImZ1bmRpbmdfc291cmNlIjp0cnVlfSwiZXhwIjoxNzI4NTg5MzQ5LCJpYXQiOjE3MjcyOTMzNDl9.sAM5tuBjPFmwgh46hkJe1zJD2DLJJMGoyqwertyuiop
                  success:
                    type: boolean
                    example: true
                    default: true
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value:
                    errors:
                      - message: Customer account with this ID does not exist
                        code: 17
                    success: false
              schema:
                type: object
                properties:
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        message:
                          type: string
                          example: Customer account with this ID does not exist
                        code:
                          type: integer
                          example: 17
                          default: 0
                  success:
                    type: boolean
                    example: false
                    default: true
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: bearer

````